# PetscStopForDebugger

Prints a message to the screen indicating how to attach to the process with the debugger and then waits for the debugger to attach.

### Synopsis

    #include "petsc.h"
    #include "petscsys.h"
    PetscErrorCode  PetscStopForDebugger(void)

Not Collective

### See Also

PetscSetDebugger(), PetscAttachDebugger()

Level:advanced
Location: src/sys/error/adebug.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages